'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
// Taken from Stackoverflow
var email = exports.email = function email(value) {
  if (!value) return null;
  var re = /^(([^<>()\[\]\\.,;:\s@"]+(\.[^<>()\[\]\\.,;:\s@"]+)*)|(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/;
  if (!re.test(String(value).toLowerCase())) return 'Email address is invalid';
};

var required = exports.required = function required(value) {
  return !value || !value.length ? 'This field is required' : null;
};

var minLength = exports.minLength = function minLength(amount) {
  return function (value) {
    return value && value.length < amount ? 'Must be greater than ' + amount + ' characters' : null;
  };
};

var maxLength = exports.maxLength = function maxLength(amount) {
  return function (value) {
    return value && value.length > amount ? 'Must be less than ' + amount + ' characters' : null;
  };
};